* {
    font-family: "Josefin Sans", serif;
    margin: 0;
    padding: 0;
    color: rgb(0, 0, 0);
}

nav {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1;
    background-color: rgb(255, 255, 255);
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 70px;
    font-size: 26px;
    border-bottom: 1px solid #cfcfcf;

}

.leftnav {
    margin: 40px;
}

.rightnav ul {
    display: flex;
    justify-content: center;
}

.rightnav ul li {
    list-style: none;
    text-align: center;
    margin: 25px;
    width: 130px;
}

.social ul {
    display: flex;
    justify-content: right;
}

.social ul li {
    list-style: none;
    text-align: center;
    width: 40px;
    font-size: 30px;
    margin: 10px;
}

a {
    text-decoration: none;
}

main {
    height: 1200px;
}

.img {
    margin-top: 6rem;
    display: flex;
    justify-content: center;
}

.write {
    padding: 5rem;
    display: flex;
    justify-content: center;
}

.fir {
    width: 32em;
    margin-right: 10rem;
    line-height: 2;
}

.fir h1 {
    font-size: 3rem;
}

.container1 {
    line-height: 2;
    width: 40rem;
    display: flex;
    justify-content: space-between;
}

.column1 {
    text-align: center;
}

.container1 .column1 h1 {
    font-size: 2em;
    margin-bottom: 10px;
}

footer {
    background-color: #dadada;
    padding: 20px;
    text-align: center;
}

.container {
    display: flex;
    justify-content: space-around;
    font-size: 15px;
    height: 12rem;
    text-align: center;
    align-items: center;
}

.columnl {
    margin: -120px;
}

.columnl h3 {
    font-size: 25px;
    margin: 30px;
}

.columnl ul {
    font-size: 18px;
    margin: 30px;
    list-style: none;
}

.columnl ul li {
    margin: 10px;
}

.columnr {
    width: 370px;
    margin-left: 150px;
    font-size: 20px;
}

.columnr h3 {
    margin-bottom: 10px;
}

.columnr p {
    margin-bottom: 10px;
}

.columnr form {
    display: flex;
}

footer .columnr form input[type="email"] {
    padding: 10px;
    font-size: 16px;
    width: 250px;
    height: 20px;
    border-radius: 25px;
    border: 1px solid #ccc;
    margin-right: 10px;
}

footer .columnr form button[type="submit"] {
    padding: 10px 20px;
    font-size: 16px;
    width: 100px;
    height: 40px;
    border-radius: 30px;
    border: none;
    background-color: #4CAF50;
    color: #fff;
    cursor: pointer;
}

footer .columnr form button[type="submit"]:hover {
    background-color: #3e8e41;
}

.sidebar {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: rgba(236, 236, 236, 0.26);
    box-shadow: -10px 0 15px rgba(0, 0, 0, 0.1);
    display: none;
    padding: 0 30px;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: center;
    list-style: none;
    backdrop-filter: blur(10px);
}

.sidebar li {
    width: 100%;
    padding: 2rem;
}

.sidebar li a {
    width: 100%;
}

.sidesocial {
    display: inherit;
    list-style: none;
    align-items: center;
    justify-content: center;
    width: 115%;
}

@media(min-width:1025px) {
    .showon {
        display: none;
    }
}

@media(max-width: 432px) {
    .sidebar {
        width: 100%;
    }
}

@media(max-width: 1024px) {
    .hideon {
        display: none;
    }

    .write {
        display: block;
        text-align: center;
    }

    .fir {
        width: unset;
        margin-right: unset;
        padding: 3rem;
    }

    .container1 {
        justify-content: space-around;
        width: unset;
    }

    .columnr {
        margin-left: -30px;
        width: 18rem;
        font-size: 15px;
    }

    .columnl ul {
        font-size: 15px;
    }
}

@media(max-width:800px) {
    .container {
        justify-content: unset;
    }

    .columnl {
        margin: 0;
    }

    .columnl h3 {
        font-size: 18px;
    }

    .columnl ul {
        font-size: 10px;
    }

    .columnr {
        font-size: 12px;
    }
}

@media(max-width:767px) {
    footer {
        height: 47rem;
    }

    .fir {
        padding: unset;
        padding-bottom: 4rem;
    }

    .fir h1 {
        font-size: 2em;
    }

    .container1 {
        display: block;
    }

    .container {
        display: block;
        height: 41rem;
    }

    .columnl h3 {
        font-size: 20px;
    }

    .columnl ul {
        font-size: 18px;
    }

    .columnr {
        margin-left: 0;
        padding-top: 1.5rem;
        width: 100%;
        font-size: 18px;
    }

    .columnr form {
        display: block;
    }
}